Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76646 - initscripts / ipcalc misscalculation
Summary: initscripts / ipcalc misscalculation
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 8.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-24 15:34 UTC by Tarhon-Onu Victor
Modified: 2014-03-17 02:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-14 05:43:48 UTC


Attachments (Terms of Use)

Description Tarhon-Onu Victor 2002-10-24 15:34:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020823
Netscape/7.0

Description of problem:
ipcalc -b 10.100.100.1/32
BROADCAST=255.255.255.255
echo \?\?
ipcalc -m 10.100.100.1/32
NETMASK=0.0.0.0
ipcalc -n 10.100.100.1/32
NETWORK=0.0.0.0
echo \?\?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. edit, say, /etc/sysconfig/network-scripts/ifcfg-eth7 and write there
something like:
DEVICE=eth8
IPADDR=10.100.100.1
NETMASK=255.255.255.255
ONBOOT=yes
BOOTPROTO=static
2. ifup eth8
3. route -n | grep ^0.0.0.0
Cool, is't it?

	

Actual Results:  The connected route to this interface will be 0.0.0.0/0
broadcast 255.255.255.255 !!! ipcalc misscalculates the broadcast, the network
and the ip netmask for /32 addresses.
It's very cool when you'll redistribute this via bgp/rip/ospf/whatever.

Additional info:

Comment 1 Tarhon-Onu Victor 2002-10-24 15:41:30 UTC
s/eth8/eth7/g

Comment 2 Bill Nottingham 2003-01-14 05:43:48 UTC
Fixed in 7.03-1.


Note You need to log in before you can comment on or make changes to this bug.